Subject: [bess] Lars Eggert's Discuss on draft-ietf-bess-evpn-bum-procedure-updates-11: (with DISCUSS)

From: Lars Eggert via Datatracker <[email-masked]>
Date: Mon, 18 Oct 2021 04:15:02 -0700

Lars Eggert has entered the following ballot position for
draft-ietf-bess-evpn-bum-procedure-updates-11: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-bum-procedure-updates/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Entering a DISCUSS to make sure the authors respond to Paul Kyzivat's
Gen-ART review (https://mailarchive.ietf.org/arch/msg/gen-art/g5QZK_1U6boqzG8FjuJWhGG74RI),
and so that the IESG can discuss that review and (hopefully) any
responses to it.

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 18 Oct 2021 12:18:52 +0000

Hi all,

I have done the RTG-DIR review of draft-ietf-bess-evpn-bum-procedure-updates-10 (can be found here<https://mailarchive.ietf.org/arch/msg/rtg-dir/DYaj7jAcGIB_HxUIzNhZcdBQ8sw/>).

All the issues I have raised in my review have been resolved when the -11 revision of the draft has been posted, and I have posted my confirmation of this fact<https://mailarchive.ietf.org/arch/msg/rtg-dir/eSIZ_CZdbX0rRwk1leC4L7Rft4Y/>.

After reading the DISCUSS, I have looked up the Gen-ART review, and I would like to provide a couple of comments.

  1.  I agree  with Paul (and noted this in my review as well) that "The draft is written in a very dense way"  specifically pointed to Section 5.1 that "contains just the deltas between the mechanisms already defined in RFC 7117 and the mechanisms proposed in this draft" as an  example of the dense style. I have also noticed that "such style is quite valid to use" but "requires very good understanding of the "previous art" in order to understand this draft".  At the same time I have said that "very good understanding of the "previous art""  is probably unavoidable in any case regardless of the style  - and in this my position differs from that of Paul.
  2.  I do not think that the draft updates RFC 7117 because it clearly and unequivocally (from my POV) states that it is only applicable to EVPN BUM procedures while RFC 7117 is only applicable to VPLS.  (The corresponding text is actually quoted verbatim in Paul's review, but somehow is considered there as further clouding things)
  3.  While I agree with Paul that the draft does not explicitly state in which way it updates RFC 7432, this is pretty much clear since it defines 3 new types of EVPN routes (on top of the types defined in RFC 7432 and some other documents) and defines how these routes are to be used. Looking up Section 8 "IANA Considerations" should suffice IMHO
  4.  I also strongly disagree with Paul's position that this document should be re-written as RFC 7117bis - because the applicability scope of these two documents is mutually exclusive. As for making it RFC 7432 bis - the work on such a document<https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-01> has started, but it is in early stages. In particular, it does not address (as of this moment) any of the issues that the draft under consideration addresses, and I am not sure that simply including its content in a document that is already 67 pages long would really contribute to readability of any of these documents.

My comments above do not in any way replace the response of the authors requested by Lars. But hopefully they will still be useful.

Regards,

Sasha

Office: +972-39266302

Cell:      +972-549266302

Email:   [email-masked]

-----Original Message-----
From: BESS <[email-masked]> On Behalf Of Lars Eggert via Datatracker
Sent: Monday, October 18, 2021 2:15 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [EXTERNAL] [bess] Lars Eggert's Discuss on draft-ietf-bess-evpn-bum-procedure-updates-11: (with DISCUSS)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://clicktime.symantec.com/3ERNe1NyWXsQHVSUvQ6ZVv6H2?u=https%3A%2F%2Fwww.ietf.org%2Fblog%2Fhandling-iesg-ballot-positions%2F

https://clicktime.symantec.com/3Xy99bcsTf6XQ864fThDyjC6H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-bess-evpn-bum-procedure-updates%2F

DISCUSS:

Entering a DISCUSS to make sure the authors respond to Paul Kyzivat's Gen-ART review (https://clicktime.symantec.com/3JDNaatN3bgqjs6LpQVxS7i6H2?u=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fgen-art%2Fg5QZK_1U6boqzG8FjuJWhGG74RI),

and so that the IESG can discuss that review and (hopefully) any responses to it.

_______________________________________________

BESS mailing list

[email-masked]<mailto:[email-masked]>

https://clicktime.symantec.com/3AGkuPKSgGBrRRtordLC6Vg6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fbess

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.

---

From: Martin Vigoureux <[email-masked]>
Date: Mon, 18 Oct 2021 16:21:06 +0200

Hello Lars,

> https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-bum-procedure-updates/

Just in case.
Paul has sent the exact same review on v09.
At that time, the authors have replied and discussed the different 
points raised.
[email-masked] was copied on these e-mails.
The authors have made modifications to the document to tentatively 
address Paul's comments.

-m

> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>